Subject: [tcpm] Heads-up: draft-ietf-netconf-tcp-client-server-07

From: "Scharf, Michael" <[email-masked]>
Date: Fri, 10 Jul 2020 07:51:10 +0000

Hi all,

This is a heads-up regarding the latest update of draft-ietf-netconf-tcp-client-server-07.

This document is homed in the NETCONF working group. Yet, I believe that it is important that TCPM is in the loop, too.

Given that the YANG models state ...

<snip>
organization
       "IETF NETCONF (Network Configuration) Working Group and the
        IETF TCP Maintenance and Minor Extensions (TCPM) Working Group";
</snip>

... the authors plan to ask for a WGLC not only on the NETCONF list, but also on the TCPM list.

Michael
(as individual contributor to unusual cross-area documents)

-----Original Message-----
From: netconf <[email-masked]> On Behalf Of [email-masked]
Sent: Thursday, July 9, 2020 2:28 AM
To: [email-masked]
Cc: [email-masked]
Subject: [netconf] I-D Action: draft-ietf-netconf-tcp-client-server-07.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Network Configuration WG of the IETF.

        Title           : YANG Groupings for TCP Clients and TCP Servers
        Authors         : Kent Watsen
                          Michael Scharf
	Filename        : draft-ietf-netconf-tcp-client-server-07.txt
	Pages           : 31
	Date            : 2020-07-08

Abstract:
   This document defines three YANG 1.1 [RFC7950] modules to support the
   configuration of TCP clients and TCP servers, either as standalone or
   in conjunction with a stack protocol layer specific configurations.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netconf-tcp-client-server/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-netconf-tcp-client-server-07
https://datatracker.ietf.org/doc/html/draft-ietf-netconf-tcp-client-server-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-tcp-client-server-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

---

From: tom petch <[email-masked]>
Date: Mon, 13 Jul 2020 09:36:47 +0000

From: tcpm <[email-masked]> on behalf of Scharf, Michael <[email-masked]>
Sent: 10 July 2020 08:51

Hi all,

<tp>
Michael

I note that IANA only registers two URI not three and that the Security Considerations are not the usual ones (no TLS reference).  More fundamentally, and it is a comment I have made before on netconf I-D, I find it unclear who the introductory text is intended for.  It seems to be aimed at a YANG expert who needs little or not introduction to the modules which they will reverse engineer.  This is something that those on the TCP list might see more clearly than those on the Netconf list.   This is not a problem that I have with I-D from such as TEAS, CCAMP, RTGWG etc.

Tom Petch

<snip>
organization

.... the authors plan to ask for a WGLC not only on the NETCONF list, but also on the TCPM list.

Michael

-----Original Message-----
From: netconf <[email-masked]> On Behalf Of [email-masked]
Sent: Thursday, July 9, 2020 2:28 AM
To: [email-masked]
Cc: [email-masked]
Subject: [netconf] I-D Action: draft-ietf-netconf-tcp-client-server-07.txt

Abstract:

_______________________________________________
tcpm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tcpm

---

From: "Scharf, Michael" <[email-masked]>
Date: Tue, 14 Jul 2020 07:32:13 +0000

Tom,

Thanks for the feedback. Some of this probably has to be sorted out consistently for the whole set of documents in the NETCONF WG.

The TCP attributes in this specific document are actually described in quite some detail in Section 3.2, in order to address past TCPM feedback. So at least for that part I don't think that a lot of "reverse-engineering" is needed.

Yet, I agree that the abstract and introduction could be expanded a bit.

Michael

> From: tom petch <[email-masked]>
> Sent: Monday, July 13, 2020 11:37 AM
> To: Scharf, Michael <[email-masked]>; [email-masked]
> Subject: Re: Heads-up: draft-ietf-netconf-tcp-client-server-07
> 
> This document is homed in the NETCONF working group. Yet, I believe that it
> is important that TCPM is in the loop, too.
> 
> <tp>
> Michael
> 
> I note that IANA only registers two URI not three and that the Security
> Considerations are not the usual ones (no TLS reference).  More
> fundamentally, and it is a comment I have made before on netconf I-D, I find
> it unclear who the introductory text is intended for.  It seems to be aimed at
> a YANG expert who needs little or not introduction to the modules which
> they will reverse engineer.  This is something that those on the TCP list might
> see more clearly than those on the Netconf list.   This is not a problem that I
> have with I-D from such as TEAS, CCAMP, RTGWG etc.
> 
> Tom Petch
>

---

From: Kent Watsen <[email-masked]>
Date: Tue, 14 Jul 2020 17:25:43 +0000

Hi Tom,

1) I fixed the missing IANA registration in my local copy (thanks!)
2) The Security Considerations section do follow the template, with adjustments to make sense (the template is not one-size-fits-all)

All, text suggestions are welcomed!

Kent // co-author

> On Jul 14, 2020, at 3:32 AM, Scharf, Michael <[email-masked]> wrote:
> 
> Tom,
>